cube21(6)

NAME
cube21 - animates the Cube 21 puzzle

SYNOPSIS
cube21 [--display host:display.screen] [--visual visual] [--window] [--root] [--window-id number] [--install] [--delay microseconds] [--texture] [--no-texture] [--mono] [--wireframe] [--spin] [--no-spin] [--wander] [--no-wander] [--randomize] [--no-randomize] [--spinspeed number] [--rotspeed number] [--wanderspeed number] [--wait number] [--cubesize number] [--colormode arg] [--fps]

DESCRIPTION
This program animates a puzzle known as Cube 21 or Square-1. Its moves are chosen randomly.

Cube 21 is a Rubik-like puzzle invented in 1992. Its specialities are that it can change its shape and even the number of possible moves. It can have more than 200 different shapes and the total number of configurations (assuming colors) is several tens of billions.

OPTIONS
cube21 accepts the following options:

--window
    Draw on a newly-created window. This is the default.

--root
    Draw on the root window.

--window-id number
    Draw on the specified window.

--install
    Install a private colormap for the window.

--visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

--delay microseconds
    How long to pause between frames. Default is 20000, or 0.02 second.

--texture
    Use texture maps. This is the default.

--no-texture
    Use solid colors.

--mono
    Disable both texture maps and colors.

--wireframe
    Only draw outlines. Outlines of all pieces, not only the whole object, are drawn.

--spin
    Spin the whole object around X, Y and Z axes. This is the default.

--no-spin
    Do not spin, showing the same three faces all the time.

--wander
    Move the object around the screen. This is the default.

--no-wander
    Keep the object centered on the screen.

--randomize
    Shuffle the puzzle randomly at startup. This is the default.

--no-randomize
    Do not shuffle at startup, begin at the shape of cube.

--spinspeed number
    The relative speed of spinning. Default is 1.0.

--rotspeed number
    The relative speed of the moves. Default is 3.0. Setting to ≤ 0.0 makes the object stay at one configuration.

--wanderspeed number
    The relative speed of wandering around the screen. Default is 1.0.

--wait number
    How long to stay at ending position after each move. The meaning of the argument is again relative. Default is 40.0.

--cubesize number
    Size of the object. Value of 3.0 fills roughly all the screen (its height). Default is 0.7.

--colormode argument
    How many and which colors should the object have. The colors are put on the piece faces so that the puzzle is solvable. The inner faces are not influenced.

    se or silver
        Simulate the "Silver Edition" - white and one random color.

    2 or two
        Two random colors.

    ce or classic
        Simulate the "Classic Edition" - white, yellow, orange, red, green and blue.

    6 or six
        Six random colors.

    1 or random or rnd
        One random color.

    Anything else
        All faces white.

--fps
    Display the current frame rate, CPU load, and polygon count.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

XSCREENSAVER_WINDOW
    The window ID to use with --root.

SEE ALSO
X(1), xscreensaver(1)

COPYRIGHT
Copyright © 2005 by Vaclav Potocek. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
Vaclav (Vasek) Potocek <vasek.potocek@post.cz>, 30-Aug-05.